Bug 1854930 - CVE-2020-14422 python34: python: DoS via inefficiency in IPv{4,6}Interface classes [epel-all]
Summary: CVE-2020-14422 python34: python: DoS via inefficiency in IPv{4,6}Interface cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python34
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14422
TreeView+ depends on / blocked
 
Reported: 2020-07-08 12:54 UTC by Dhananjay Arunesh
Modified: 2020-08-14 00:49 UTC (History)
7 users (show)

Fixed In Version: python34-3.4.10-6.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-14 00:49:01 UTC
Type: ---


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-07-08 12:54:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2020-07-08 12:54:43 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1854926,1854930

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Viktorin 2020-07-09 09:45:14 UTC
python34 is in Fedora for developers to test their packages. We stay close to upstream, mediium CVEs included.

(Also note that we plan to retire python34 in Fedora 32.)

Comment 3 Petr Viktorin 2020-07-09 09:46:24 UTC
Oops, this is the EPEL bug. Sorry for the noise.

Comment 4 Fedora Update System 2020-07-30 11:37:04 UTC
FEDORA-EPEL-2020-2a93add193 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2a93add193

Comment 5 Fedora Update System 2020-07-30 19:15:54 UTC
FEDORA-EPEL-2020-2a93add193 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2a93add193

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-14 00:49:01 UTC
FEDORA-EPEL-2020-2a93add193 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.